import 'package:flutter/cupertino.dart';

import '../google-analytics.dart';

class LiveCare{

  final GALogger logger;
  LiveCare(this.logger);

  // R030.1
  livecare_immediate_consultation(){
    logger('livecare_immediate_consultation');
  }

  // R030.2
  livecare_schedule_video_call(){
    logger('livecare_schedule_video_call');
  }

  // R031.1
  livecare_clinic_schedule({@required String clinic}){
    logger('livecare_clinic_schedule', parameters: {
      'clinic_type_online' : clinic
    });
  }

  // R031.2
  livecare_immediate_consultation_clinic({@required String clinic}){
    logger('livecare_immediate_consultation_clinic', parameters: {
      'clinic_type_online' : clinic
    });
  }

  // R031.2
  livecare_schedule_video_call_clinic({@required String clinic}){
    logger('livecare_schedule_video_call_clinic', parameters: {
      'clinic_type_online' : clinic
    });
  }

  // R032
  livecare_immediate_consultation_TnC({@required String clinic}){
    logger('livecare_immediate_consultation_tandc', parameters: {
      'clinic_type_online' : clinic
    });
  }

  // R033
  payment_method({@required String appointment_type, clinic, payment_method, payment_type}){
    logger('payment_method', parameters: {
      'appointment_type' : appointment_type,
      'clinic_type_online' : clinic,
      'payment_method' : payment_method,
      'payment_type' : payment_type
    });
  }

  // R034
  payment_confirm({@required String appointment_type, clinic, payment_method, payment_type}){
    logger('payment_confirm', parameters: {
      'appointment_type' : appointment_type,
      'clinic_type_online' : clinic,
      'payment_method' : payment_method,
      'payment_type' : payment_type
    });
  }

  // R035
  payment_pay({@required String appointment_type, clinic, hospital, payment_method, payment_type}){
    // logger('payment_pay', parameters: {
    //   'appointment_type' : appointment_type,
    //   'clinic_type_online' : clinic,
    //   'payment_method' : payment_method,
    //   'payment_type' : payment_type,
    //   'hospital_name' : hospital
    // });
  }

  // R036
  payment_success({@required String appointment_type, clinic, hospital, payment_method, payment_type, txn_number, txn_amount, txn_currency}){
    // appointment_type
    // clinic_type_online
    // payment_method
    // payment_type
    // hospital_name
    // transaction_number
    // transaction_amount
    // transaction_currency
  }

  // R037
  livecare_immediate_consultation_payment_failed({@required String appointment_type, clinic, payment_method, payment_type, txn_amount, txn_currency, error_message}){
    logger('livecare_immediate_consult_payment_fail', parameters: {
    'payment_method' : payment_method,
    'appointment_type' : appointment_type,
    'payment_type' : payment_type,
    'clinic_type_online' : clinic,
    'transaction_amount' : txn_amount,
    'transaction_currency' : txn_currency,
    'error_type' : error_message
    });
  }
}